import request from '@/utils/request'

// 查询目标回顾列表
export function listTargetreview(query) {
  return request({
    url: '/plant/targetreview/list',
    method: 'get',
    params: query
  })
}

// 查询目标回顾详细
export function getTargetreview(id) {
  return request({
    url: '/plant/targetreview/' + id,
    method: 'get'
  })
}

// 新增目标回顾
export function addTargetreview(data) {
  return request({
    url: '/plant/targetreview',
    method: 'post',
    data: data
  })
}

// 修改目标回顾
export function updateTargetreview(data) {
  return request({
    url: '/plant/targetreview',
    method: 'put',
    data: data
  })
}

// 删除目标回顾
export function delTargetreview(id) {
  return request({
    url: '/plant/targetreview/' + id,
    method: 'delete'
  })
}

// 导出目标回顾
export function exportTargetreview(query) {
  return request({
    url: '/plant/targetreview/export',
    method: 'get',
    params: query
  })
}
